function cImporte(){
	var tot_uwi=gv("TotUwi");
	var pre=gv("Pre");
	var tot_imp=jVal(tot_uwi) * jVal(pre);
	sv("Imp",tot_imp.toFixed(2));
}
//**************************************************************************
function fImporte(){	
	var pie=jVal(gv("Pie"));
	var caj=jVal(gv("Caj"));
	var tot_pie=pie * caj;
	//
	sv("TotPie",tot_pie);
	//
	var fx=GetFactor();
	if(fx>0){
		var tot_und=tot_pie/GetFactor();
	}else{
		var tot_und=0;
	}
	sv("TotUni",tot_und.toFixed(3));
	sv("TotUwi",tot_und.toFixed(3));
	cImporte();
}
//
function GetFactor(){
	var und=gv("Und");
	var faxtor=0;
	for(i=1;i<=UNI_TOT;i++){
		if(UNI_ABR[i]==und){
			faxtor=UNI_FAC[i];
		}
	}
	return faxtor;
}
//
function fIr(cx){
	var txt_url="URL_"+cx;
	var str_url=gv(txt_url);
	if(jL(str_url)==0){
		alert("El campo url esta vacio");
	}else{
		if(isURL(str_url)){
			document.getElementById("LNK").href=str_url;
			document.getElementById("LNK").click();
		}else{
			alert("La url no es valida");
		}
	}
}
//
function fInvItem(){
	var emp=gv("INV_EMP");
	var fec=gv("INV_FEC");
	var ser=gv("INV_SER");
	var num=gv("INV_NUM");
	var ite=gv("INV_ITE");
	sv("Emp",emp);
	sv("InvFec",fec);
	sv("InvSer",ser);
	sv("InvNum",num);
	sv("InvIte",ite);
	jF("PaiOri");
}
//
function fAplicar(){	
	var pid=gv("TMP_KOD");
	var cod=gv("Cod");
	var des=gv("Des");
	var pie=gv("Pie");
	var caj=gv("Caj");
	var und=gv("Und");
	var tot_pie=gv("TotPie");
	var tot_uni=gv("TotUni");
	var tot_uwi=gv("TotUwi");
	var pre=gv("Pre");	
	var imp=gv("Imp");
	var hwn=gv("TXT_HWN");
	//
	if(jVal(pid)==0){
		return AF("No se puede determianr el id del registro seleccionado","Cod");
	}
	if(jL(cod)==0){
		return AF("No se puede determinar el codigo","Cod");
	}
	if(jL(des)==0){
		return AF("El campo descripcion esta vacio","Des");
	}
	if(jL(pre)==0){
		return AF("Ingrese el precio del producto","Pre");
	}
	if(jL(pie)==0){
		return AF("Ingrese la cantidad de piezas","Pie");
	}
	if(jL(caj)==0){
		return AF("Ingrese la cantidad de cajas","Pie");
	}
	if(jVal(imp)<=0){
		return AF("El importe debe ser mayor a cero","Imp");
	}
	//document.getElementById("CmdG").disabled=true;
	var d=AZ("INV_DET_EDI2",pid,pie,caj,und,tot_pie,tot_uni,tot_uwi,pre,imp,hwn);
	var r=d.split("|");
	if(r[1]=="OK"){
		alert("Datos actualizados");
		window.opener.document.Frm.CmdUP.click();
		//window.close();
	}else{
		if(r[1]=="MS"){
			alert(r[2]);
		}else{
			alert("Error de conexion");
		}
	}
}
function AddRef(){
	var cod=gv("INV_PID");
	var ser=gv("InvSer");
	var num=gv("InvNum");
	var ite=gv("InvIte");
	if(jVal(cod)==0){
		return AF("No se puede determinar el Id del registro activo","InvSer");
	}
	if(jL(ser)==0){
		return AF("Ingrese la serie del invoice","InvSer");
	}
	if(jL(num)==0){
		return AF("Ingrese el numero del invoice","InvNum");
	}
	if(jL(ite)==0){
		return AF("Ingrese el numero de item en el invoice","InvNum");
	}
	//document.getElementById("CmdAdd").disabled=false;
	SM("ADD_REF");
}

//
function fAplicarR(){	
	var IdP=gv("INV_PID");
	var Emp=gv("Emp");	
	var InvFec=gv("InvFec");
	var InvSer=gv("InvSer");
	var InvNum=gv("InvNum");
	var InvIte=gv("InvIte");
	var PaiOri=gv("PaiOri");
	var PaiDes=gv("PaiDes");
	var Par=gv("Par");
	var NomCom=gv("NomCom");
	var Est=gv("Est");
	var FobUsd=gv("FobUsd");
	var FobKg=gv("FobKg");
	var Und=gv("UndR");
	var Can=gv("Can");
	var Mod=gv("Mod");
	var Cla=gv("Cla");
	var Dua=gv("Dua");
	var DuaIte=gv("DuaIte");
	var Lnk=gv("Lnk");
	var Obs=gv("Obs");
	
	//
	if(jL(InvSer)==0){
		return AF("Ingrese el serie del invoice","InvSer");
	}
	if(jL(InvNum)==0){
		return AF("Ingrese el numero del invoice","InvNum");
	}
	if(jL(InvIte)==0){
		return AF("Ingrese el invoice item","InvIte");
	}
	//
	DATOS=InvFec+"|"+InvSer+"|"+InvNum+"|"+InvIte+"|"+PaiOri+"|"+PaiDes+"|"+Par+"|"+NomCom+"|"+Est+"|"+FobUsd+"|"+FobKg+"|"+Und+"|"+Can+"|"+Mod+"|"+Cla+"|"+Dua+"|"+DuaIte+"|"+Lnk+"|"+IdP+"|"+Obs+"|"+Emp
	//
	AX("E_ITEM",DATOS);	
	alert("Datos Actualizados");
	//
	window.opener.SM();
	//window.close();
}
//